﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinGrid;

namespace Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int index = 0; index < this.ultraDataSource1.Rows.Count; index++)
            {
                this.ultraDataSource1.Rows[index].Tag = String.Format("DataSource Row {0}", index);
            }
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            int currentRowId = this.ultraGrid1.ActiveRow.ListIndex;
            if (currentRowId > -1)
            {
                PopupForm form = new PopupForm();
                form.Text = (string)this.ultraDataSource1.Rows[currentRowId].Tag;
                UltraTextEditor textEditor = new UltraTextEditor();
                textEditor.Width = 200;
                textEditor.Text = String.Format("Date {0}", this.ultraDataSource1.Rows[currentRowId].GetCellValue("Date").ToString());
                form.Controls.Add(textEditor);
                form.Show();
            }
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].SortedColumns.Add("Boolean Column", false, true);
            e.Layout.Rows.ExpandAll(true);
        }
    }
}
